$('.modalDesinscricao').modal('show');

$(".form-check-input").change(function(){
    var val = $(".form-check-input:checked").val();
    if(val == "Outro"){
        $(".motivo-obs").show();
        $("#obs").attr('required', 'required');
    }else{
        $(".motivo-obs").hide();
        $("#obs").removeAttr('required', 'required');
    }
});

$('form.formDesinscricao').submit(function(e){	
    e.stopPropagation();
    
    /*$('.content-result').hide();
    $('.content-result').html('');*/
    
    loadButton($('button.btnDesinscricao'));
    
    var data = {
        motivo : $('input[name=motivo]:checked').val(),
        obs : $('textarea[name=obs]').val()
    }
	
	$.ajax({
		url: base_url+"newsletter/action/desinscrever_motivo",
		dataType: 'json',
		type: 'POST',
		data: data,
		
		success: function(retorno)
		{		
			if (retorno.valid === true)
			{	
			    loadButton(null,false);
			    $('.box-desinscricao').hide();
    	        $('.box-resultado').show();
    	        
			}
			else
			{ 
			    loadButton(null,false);
    	        $('.formDesinscricao #content-error').html(retorno.message);
			}
		},
		error: function(error)
		{ 
		    loadButton(null,false);
	        $('.formDesinscricao #content-error').html('Erro ao realizar operação. Tente novamente mais tarde.');
		}
	});
	return false;
})